dinsdag 24 juni 2008

(NL) Installeren firefox flash plugin ubuntu 64bit

In de hoop flash hier werkende te krijgen ben ik maar es gaan zien naar de downloadpage van adobe. Blijkt dat daar enkel een 32bit package beschikbaar is :@.

Gelukkig via google de nodige instructies gevonden om dit alsnog geinstalleerd te krijgen:

1. Make sure you don't have any other flash plugin installed on your system:
sudo apt-get remove -y --purge flashplugin-nonfree gnash gnash-common mozilla-plugin-gnash swfdec-mozilla libflashsupport nspluginwrapper

1.1 To be sure we don't have any other old flash libs let's cleanup the folders where it usually resides:
sudo rm -f /usr/lib/mozilla/plugins/*flash*
sudo rm -f ~/.mozilla/plugins/*flash*
sudo rm -f /usr/lib/firefox/plugins/*flash*
sudo rm -rfd /usr/lib/nspluginwrapper


2. Install ia32-libs and latest nspluginwrapper
sudo apt-get install ia32-libs nspluginwrapper


3. Download the latest flash player from Adobe Labs and extract it:
cd ~
wget http://download.macromedia.com/pub/labs/flashplayer10/flashplayer10_install_linux_051508.tar.gz
tar zxvf flashplayer10_install_linux_051508.tar.gz
sudo cp install_flash_player_10_linux/libflashplayer.so /usr/lib/mozilla/plugins/
rm -rf ~/install_flash_player_10_linux/

4. Use nspluginwrapper to install the plugin and link it to firefox
sudo nspluginwrapper -i /usr/lib/mozilla/plugins/libflashplayer.so
sudo ln -sf /usr/lib/nspluginwrapper/plugins/npwrapper.libflashplayer.so /usr/lib/mozilla/plugins/
sudo ln -sf /usr/lib/nspluginwrapper/plugins/npwrapper.libflashplayer.so /usr/lib/firefox-addons/plugins/


Ffkes firefox herstarten en alles was in orde :-).

bron: http://www.myscienceisbetter.info/2008/05/install-adobe-flash-player-10-on-ubuntu-using-nspluginwrapper.html

Geen opmerkingen:

Een reactie posten